/****************

	bfcompile

	Written by Brian Luft (bluft@execpc.com)

 ****************

	FILENAME:		CompileWindow.h
	DESCRIPTION:	Implements the CCompileWindow class
	CLASSES:		CCompileWindow

 ****************/

#ifndef COMPILEWINDOW_H_
#define COMPILEWINDOW_H_

class MWindow;
class MStringView;
class MButton;
class CFilenameWindow;

#define kClose 'bcCL'

class CCompileWindow : public MWindow
{
public:

	CCompileWindow( CFilenameWindow * );
	~CCompileWindow( void );
	
	virtual void MessageReceived( BMessage * );

	// Xs
	MStringView *fX1, *fX2, *fX3, *fX4, *fX5;
	MButton	*fClose;
};

// This isn't... right; but I'm going to use a global
// function for the compiling just because it is easier =)
void __Compiler( void );

#endif