/****************

	bfcompile

	Written by Brian Luft (bluft@execpc.com)

 ****************

	FILENAME:		FilenameWindow.h
	DESCRIPTION:	Defines the CFilenameWindow class
	CLASSES:		CFilenameWindow

 ****************/

#ifndef FILENAMEWINDOW_H_
#define FILENAMEWINDOW_H_

class MWindow;
class MTextControl;

#define kBrowseInput	'bcIN'
#define kBrowseOutput	'bcOT'
#define kAbout			'bcAB'
#define kOK				'bcOK'
#define kCancel 		'bcCC'
#define kBrowse			"Browse…"

class CFilenameWindow : public MWindow
{
public:
	
	CFilenameWindow( void );
	~CFilenameWindow( void );
	
	virtual void MessageReceived( BMessage * );
	virtual bool QuitRequested( void );
	
	MTextControl *fInputFilename, *fOutputFilename;
	MCheckBox *fOptimize, *fLeaveCSrc;

};

#endif